From edfc90450ee06149537fadb3095ba4b215c5c4fa Mon Sep 17 00:00:00 2001
From: Ralph Little <skelband@gmail.com>
Date: Sun, 2 Oct 2022 18:14:25 -0700
Subject: [PATCH] genesys: corrections to include file order.

minigtest.h has items that require the definitions in tests_printers.h.
Pre-GCC-12, this didn't seem to matter but GCC12 seems to have a
problem with this and requires the template definitions to have already
appeared.
---
 testsuite/backend/genesys/minigtest.cpp            | 4 ++--
 testsuite/backend/genesys/tests_image.cpp          | 2 +-
 testsuite/backend/genesys/tests_image_pipeline.cpp | 2 +-
 testsuite/backend/genesys/tests_motor.cpp          | 2 +-
 testsuite/backend/genesys/tests_utilities.cpp      | 2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/testsuite/backend/genesys/minigtest.cpp b/testsuite/backend/genesys/minigtest.cpp
index 7e8f20a08..02868339e 100644
--- a/testsuite/backend/genesys/minigtest.cpp
+++ b/testsuite/backend/genesys/minigtest.cpp
@@ -18,10 +18,10 @@
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
 
-#include "minigtest.h"
-
 #define DEBUG_DECLARE_ONLY
 
+#include "minigtest.h"
+
 size_t s_num_successes = 0;
 size_t s_num_failures = 0;
 
diff --git a/testsuite/backend/genesys/tests_image.cpp b/testsuite/backend/genesys/tests_image.cpp
index 4233425b3..45e1ab2cb 100644
--- a/testsuite/backend/genesys/tests_image.cpp
+++ b/testsuite/backend/genesys/tests_image.cpp
@@ -21,8 +21,8 @@
 #define DEBUG_DECLARE_ONLY
 
 #include "tests.h"
-#include "minigtest.h"
 #include "tests_printers.h"
+#include "minigtest.h"
 
 #include "../../../backend/genesys/image.h"
 #include "../../../backend/genesys/image_pipeline.h"
diff --git a/testsuite/backend/genesys/tests_image_pipeline.cpp b/testsuite/backend/genesys/tests_image_pipeline.cpp
index 8c46e8d89..b5ca3ce24 100644
--- a/testsuite/backend/genesys/tests_image_pipeline.cpp
+++ b/testsuite/backend/genesys/tests_image_pipeline.cpp
@@ -21,8 +21,8 @@
 #define DEBUG_DECLARE_ONLY
 
 #include "tests.h"
-#include "minigtest.h"
 #include "tests_printers.h"
+#include "minigtest.h"
 
 #include "../../../backend/genesys/image_pipeline.h"
 
diff --git a/testsuite/backend/genesys/tests_motor.cpp b/testsuite/backend/genesys/tests_motor.cpp
index c89ba778a..81f00f38d 100644
--- a/testsuite/backend/genesys/tests_motor.cpp
+++ b/testsuite/backend/genesys/tests_motor.cpp
@@ -21,8 +21,8 @@
 #define DEBUG_DECLARE_ONLY
 
 #include "tests.h"
-#include "minigtest.h"
 #include "tests_printers.h"
+#include "minigtest.h"
 
 #include "../../../backend/genesys/low.h"
 #include "../../../backend/genesys/enums.h"
diff --git a/testsuite/backend/genesys/tests_utilities.cpp b/testsuite/backend/genesys/tests_utilities.cpp
index bc1f9bdfb..7f358b4ef 100644
--- a/testsuite/backend/genesys/tests_utilities.cpp
+++ b/testsuite/backend/genesys/tests_utilities.cpp
@@ -21,8 +21,8 @@
 #define DEBUG_DECLARE_ONLY
 
 #include "tests.h"
-#include "minigtest.h"
 #include "tests_printers.h"
+#include "minigtest.h"
 
 #include "../../../backend/genesys/utilities.h"
 
-- 
GitLab

